<?php

namespace App\Models\System\Settings\Location;

class Region
{
    /**
     * Mary
     */
    public const MR = 'mr';

    /**
     * Aşgabat
     */
    public const AG = 'ag';

    /**
     * Arkadag
     */
    public const AK = 'ak';

    /**
     * Ahal
     */
    public const AH = 'ah';

    /**
     * Lebap
     */
    public const LB = 'lb';

    /**
     * Balkan
     */
    public const BN = 'bn';

    /**
     * Daşoguz
     */
    public const DZ = 'dz';

    /**
     * Regions
     */
    public static function values(): array
    {
        return [
            self::AG => __('Ashgabat'),
            self::AK => __('Arkadag'),
            self::MR => __('Mary'),
            self::AH => __('Ahal'),
            self::LB => __('Lebap'),
            self::BN => __('Balkan'),
            self::DZ => __('Dashoguz'),
        ];
    }

    /**
     * Default value
     */
    public static function default(): string
    {
        return self::AG;
    }

    /**
     * Label for given region
     */
    public static function labelFor(string $region): string
    {
        return static::values()[$region] ?? '';
    }
}
